nxt.http.callers

## Class DgsDeliveryCall

- java.lang.Object
- - nxt.http.APICall.Builder<T>
  - - nxt.http.callers.CreateTransactionCallBuilder<DgsDeliveryCall>
    - - nxt.http.callers.DgsDeliveryCall

-     public class DgsDeliveryCall
      extends CreateTransactionCallBuilder<DgsDeliveryCall>

- - ### Field Summary

    - ### Fields inherited from class nxt.http.APICall.Builder

      `params`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static DgsDeliveryCall` | `create()`
    `DgsDeliveryCall` | `discountNQT(long discountNQT)`
    `DgsDeliveryCall` | `goodsData(java.lang.String goodsData)`
    `DgsDeliveryCall` | `goodsIsText(boolean goodsIsText)`
    `DgsDeliveryCall` | `goodsNonce(byte[] goodsNonce)`
    `DgsDeliveryCall` | `goodsNonce(java.lang.String goodsNonce)`
    `DgsDeliveryCall` | `goodsToEncrypt(java.lang.String goodsToEncrypt)`
    `DgsDeliveryCall` | `purchase(long purchase)`
    `DgsDeliveryCall` | `purchase(java.lang.String purchase)`

    - ### Methods inherited from class nxt.http.callers.CreateTransactionCallBuilder

      `broadcast, compressMessageToEncrypt, compressMessageToEncryptToSelf, deadline, ecBlockHeight, ecBlockId, ecBlockId, encryptedMessageData, encryptedMessageData, encryptedMessageIsPrunable, encryptedMessageNonce, encryptedMessageNonce, encryptToSelfMessageData, encryptToSelfMessageData, encryptToSelfMessageNonce, encryptToSelfMessageNonce, feeNQT, message, messageIsPrunable, messageIsText, messageToEncrypt, messageToEncryptIsText, messageToEncryptToSelf, messageToEncryptToSelfIsText, phased, phasingFinishHeight, phasingHashedSecret, phasingHashedSecretAlgorithm, phasingHolding, phasingHolding, phasingLinkedFullHash, phasingLinkedFullHash, phasingMinBalance, phasingMinBalanceModel, phasingQuorum, phasingVotingModel, phasingWhitelisted, publicKey, publicKey, recipientPublicKey, recipientPublicKey, referencedTransactionFullHash, referencedTransactionFullHash, secretPhrase`

    - ### Methods inherited from class nxt.http.APICall.Builder

      `build, call, chain, chain, download, getBlock, getBlocks, getCreatedTransaction, getCreatedTransactions, getParam, getTransaction, getTransactions, getTransactions, isParamSet, isRemoteOnly, param, param, param, param, param, param, param, param, param, param, param, parts, remote, setParamValidation, trustRemoteCertificate, unsignedLongParam, unsignedLongParam`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### create

          public static DgsDeliveryCall create()

    - #### goodsIsText

          public DgsDeliveryCall goodsIsText(boolean goodsIsText)

    - #### discountNQT

          public DgsDeliveryCall discountNQT(long discountNQT)

    - #### goodsData

          public DgsDeliveryCall goodsData(java.lang.String goodsData)

    - #### purchase

          public DgsDeliveryCall purchase(java.lang.String purchase)

    - #### purchase

          public DgsDeliveryCall purchase(long purchase)

    - #### goodsToEncrypt

          public DgsDeliveryCall goodsToEncrypt(java.lang.String goodsToEncrypt)

    - #### goodsNonce

          public DgsDeliveryCall goodsNonce(java.lang.String goodsNonce)

    - #### goodsNonce

          public DgsDeliveryCall goodsNonce(byte[] goodsNonce)